### Function

# Gck Session open

#### Declaration [src]

    GckSession*
    gck_session_open (
      GckSlot* slot,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Open a session on the slot. This call may block for an indefinite period.

#### Parameters

`slot` | `GckSlot`
| The slot to open session on.
| The data is owned by the caller of the function.
`options` | `GckSessionOptions`
| Session options.
`interaction` | `GTlsInteraction`
| Optional interaction for logins or object authentication.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckSession`
| The new session.
| The caller of the function takes ownership of the data, and is responsible for freeing it.